/*
 * Copyright (c) 2008 Hans - Joachim Borchers
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE DEVELOPERS ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE DEVELOPERS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef DRVKEYS_H_
#define DRVKEYS_H_

#define BUTTON_1       'a'
#define BUTTON_2       'b'
#define BUTTON_3       'c'
#define BUTTON_4       'd'
#define BUTTON_1_L     'A'
#define BUTTON_2_L     'B'
#define BUTTON_3_L     'C'
#define BUTTON_4_L     'D'
#define BUTTON_LEFT    '<'
#define BUTTON_RIGHT   '>'
#define BUTTON_ENTER   'e'
#define BUTTON_LEFT_L  '?'
#define BUTTON_RIGHT_L '?'
#define BUTTON_ENTER_L 'E'


void drvkeys_InitModule( void );
void drvkeys_task( void );
u08 drvkeys_kbhit( void );
char drvkeys_getchar( void );


#endif /*DRVKEYS_H_*/
